Announcement

Collapse
No announcement yet.

WYSIWYG editor no longer after works after converting forum to "https://"

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Danny M
    replied
    Originally posted by Mark.B View Post
    Try this.

    In the template headinclude,

    Find this:
    Code:
    var AJAXBASEURL = "{vb:raw ajaxbaseurl}";
    Change to:
    Code:
    var AJAXBASEURL = "{vb:raw basepath}";

    Works perfectly now, thank you so much, I appreciate the help!

    Leave a comment:


  • Mark.B
    replied
    Try this.

    In the template headinclude,

    Find this:
    Code:
    var AJAXBASEURL = "{vb:raw ajaxbaseurl}";
    Change to:
    Code:
    var AJAXBASEURL = "{vb:raw basepath}";

    Leave a comment:


  • Danny M
    replied
    Originally posted by Mark.B View Post
    Your issue is here:

    Mixed Content: The page at 'https://www.lilwaynehq.com/forums/newthread.php?do=newthread&f=9' was loaded over HTTPS, but requested an insecure XMLHttpRequest endpoint 'http://www.lilwaynehq.com:443/forums/ckeditor.php?l=en&t=1320956209'. This request has been blocked; the content must be served over HTTPS.

    And that's related to this:

    var AJAXBASEURL = "http://www.lilwaynehq.com:443/forums/";

    To fix this:

    Edit /includes/config.php

    Add the following almost at the bottom, above the block where it says when it was downloaded:

    PHP Code:
    /* #### FORCE URL SCHEME ####
    By default, vBulletin will try and work out what URL scheme to use (http or https) by checking the incoming page request.
    However, in some circumstances, this can fail. You can force the scheme to 'http://' or 'https://' using the below setting. */
    $config['Misc']['vb_url_scheme'] = 'https://'
    I added that code to the config.php file, but it doesn't seem to have fixed anything? I've also cleared the cache after adding the code and I still can't see the WYSIWYG editor box.

    I can also still see the 'var AJAXBASEURL = "http://www.lilwaynehq.com:443/forums/";' line in the source code. Do you have any other ideas on how to fix the line?

    Leave a comment:


  • Mark.B
    replied
    Your issue is here:

    Mixed Content: The page at 'https://www.lilwaynehq.com/forums/newthread.php?do=newthread&f=9' was loaded over HTTPS, but requested an insecure XMLHttpRequest endpoint 'http://www.lilwaynehq.com:443/forums/ckeditor.php?l=en&t=1320956209'. This request has been blocked; the content must be served over HTTPS.

    And that's related to this:

    var AJAXBASEURL = "http://www.lilwaynehq.com:443/forums/";

    To fix this:

    Edit /includes/config.php

    Add the following almost at the bottom, above the block where it says when it was downloaded:

    PHP Code:
    /* #### FORCE URL SCHEME ####
    By default, vBulletin will try and work out what URL scheme to use (http or https) by checking the incoming page request.
    However, in some circumstances, this can fail. You can force the scheme to 'http://' or 'https://' using the below setting. */
    $config['Misc']['vb_url_scheme'] = 'https://'

    Leave a comment:


  • Danny M
    replied
    Anyone got any ideas on what the problem could be?

    Leave a comment:


  • WYSIWYG editor no longer after works after converting forum to "https://"

    Hey guys,

    I've just converted my forum to "https://" from "http://" by following these steps: https://www.vbulletin.com/forum/arti...forum-to-https

    Everything has gone well except the WYSIWYG editor no longer works, as well as clicking on smilies.

    I presume this issue will be something to do with the "Use Remote YUI" option under "Server Settings and Optimization Options", but I've made sure the dropdown box says Google, so I'm not too sure if that is the problem.

    I can't say if it's something to do with the style I'm using as I only have the one and then the mobile style for mobile users, but I did make sure to click the "rebuild styles" button after changing the "Use Remote YUI" option to "Google".

    Extra details:
    My forum URL is: https://www.lilwaynehq.com/forums
    My PHP version is: 5.4.45
    The issue occurs in all browsers.


    Thanks!

Related Topics

Collapse

Working...
X